<?php
namespace ReyCore\Compatibility;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Base {

	public function __construct(){

		$this->load_items();

	}

	public function load_items(){

		foreach ( self::get_items_list() as $item) {

			$file_path = sprintf('%1$sinc/compatibility/%2$s/base.php', REY_CORE_DIR, $item);

			if ( is_file( $file_path ) ) {
				include_once $file_path;
			}

			// Normalize class name
			$class_name = ucwords( str_replace( '-', ' ', $item ) );
			$class_name = str_replace( ' ', '', $class_name );
			$class_name = \ReyCore\Helper::fix_class_name($class_name, 'Compatibility', 'Base');

			if ( class_exists( $class_name ) && $class_name::supported() ) {
				new $class_name;
			}

		}

	}

	public function get_items_list(){

		return [
			'advanced-woo-search',
			'ajax-search-for-woocommerce',
			'autoptimize',
			'berocket-woocommerce-filters',
			'cf7',
			'dokan',
			'elementor-pro',
			'facetwp',
			'fluid-checkout',
			'free-gifts-for-woocommerce',
			'german-market',
			'gtranslate',
			'header-footer-elementor',
			'iconic-woo-attribute-swatches-premium',
			'iconic-woo-show-single-variations',
			'indeed-affiliate-pro',
			'lumise-product-designer',
			'mailchimp-for-wp',
			'nextend-social-login',
			'optimole',
			'perfect-woocommerce-brands',
			'points-and-rewards-for-woocommerce',
			'polylang',
			'pw-gift-card',
			'qtranslatex',
			'relevanssi',
			'ti-wishlist',
			'translatepress',
			'uni-cpo',
			'viewer3d',
			'wc-ajax-product-filter',
			'wc-frontend-manager-elementor',
			'wc-vendors-pro',
			'woo-advanced-product-size-chart',
			'woo-discount-rules-pro',
			'woo-variation-swatches',
			'woocommerce-brands',
			'woocommerce-currency-switcher',
			'woocommerce-custom-fields',
			'woocommerce-germanized',
			'woocommerce-photo-reviews',
			'woocommerce-product-bundles',
			'woocommerce-product-table',
			'woocommerce-single-variations',
			'woocommerce-social-login',
			'woocommerce-tab-manager',
			'woocommerce-tm-extra-product-options',
			'wp-rocket',
			'wp-store-locator',
			'wpforms',
			'wpml',
			'yith-compare',
			'yith-woocommerce-gift-cards',
			'yith-woocommerce-name-your-price',
			'yith-woocommerce-product-add-ons',
			'yith-woocommerce-product-bundles',
			'yith-woocommerce-request-a-quote',
			'zoom-instagram',
		];

	}

}
