<?php
namespace ReyCore\Compatibility\ZoomInstagram;

if ( ! defined( 'ABSPATH' ) ) exit;

class Base extends \ReyCore\Compatibility\CompatibilityBase {

	public function __construct() {
		add_action('wp_print_scripts', [$this, 'js_assets']);
		add_action('wp_print_styles', [$this, 'css_assets']);
	}

	public static function supported() {
		return class_exists('\Wpzoom_Instagram_Widget_API');
	}

	/**
	 * Remove Instagram Widget Assets
	 *
	 * @since 1.0.0
	 **/
	function js_assets()
	{
		wp_dequeue_script( 'zoom-instagram-widget-lazy-load' );
		wp_dequeue_script( 'zoom-instagram-widget' );
		wp_dequeue_script( 'magnific-popup' );
		wp_dequeue_script( 'swiper-js' );
	}

	/**
	 * Remove Instagram Widget Assets
	 *
	 * @since 1.0.0
	 **/
	function css_assets()
	{
		wp_dequeue_style( 'magnific-popup' );
		wp_dequeue_style( 'swiper-css' );
		wp_dequeue_style( 'zoom-instagram-widget' );
	}

}
