<?php
namespace ReyCore\Elementor;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class WidgetsOverrides
{

	public function __construct(){
		$this->load_elements_overrides();
	}

	/**
	 * Load custom Elementor elements overrides
	 *
	 * @since 1.0.0
	 */
	public function load_elements_overrides()
	{

		$elements = [
			'Accordion',
			'Button',
			'Column',
			'Common',
			'Document',
			'GlobalSettings',
			'Heading',
			'Icon',
			'ImageCarousel',
			'ImageGallery',
			'Image',
			'Kit',
			'Section',
			'Sidebar',
			'Text',
			'Video',
		];

		foreach ($elements as $element) {
			$class_name = \ReyCore\Helper::fix_class_name($element, 'Elementor\Custom');
			new $class_name();
		}
	}


}
