<?php
namespace ReyCore\Modules\DiscountBadge;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class DiscountTop extends \ReyCore\WooCommerce\LoopComponents\Component {

	public function status(){
		return Base::loop_top_enabled();
	}

	public function get_id(){
		return 'discount-top';
	}

	public function get_name(){
		return 'Discount at Top';
	}

	public function scheme(){
		return [
			'type'          => 'action',
			'tag'           => 'reycore/loop_inside_thumbnail/top-right',
			'priority'      => 10
		];
	}

	/**
	 * Item Component - discount percentage or SALE label to product, top-right
	 *
	 * @since 1.0.0
	 */
	public function render(){

		if( ! $this->maybe_render() ){
			return;
		}

		global $product;

		if( ! $product ){
			$product = wc_get_product();
		}

		if( ! $product ){
			return;
		}

		if( ! apply_filters('reycore/woocommerce/discounts/check', ($product->is_on_sale() || $product->is_type( 'grouped' )), $product) ){
			return;
		}

		$should_add = (! is_product() || in_array( wc_get_loop_prop('name'), ['upsells', 'up-sells', 'crosssells', 'cross-sells', 'related'] ));

		if( $should_add && reycore_wc__get_loop_component_status('prices') ){

			$sale_label = get_theme_mod('loop_show_sale_label', 'percentage');

			if( ($label_pos = reycore_wc__get_setting('loop_discount_label')) && $label_pos === 'top' ){
				if ( $sale_label === 'percentage' ){
					echo Base::get_discount_percentage_html();
				}
				else if ( $sale_label === 'save' ){
					echo Base::get_discount_save_html();
				}
			}

			elseif( $sale_label === 'sale' ){
				return woocommerce_show_product_loop_sale_flash();
			}
		}
	}

}
