<?php
namespace ReyCore\WooCommerce\LoopComponents;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Ratings extends Component {

	public function init(){
		remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
	}

	public function status(){
		return get_theme_mod('loop_ratings', '2') == '1';
	}

	public function get_id(){
		return 'ratings';
	}

	public function get_name(){
		return 'Ratings';
	}

	public function scheme(){
		return [
			'type'          => 'action',
			'tag'           => 'woocommerce_shop_loop_item_title',
			'priority'      => 3,
		];
	}

	public function render(){

		if( ! $this->maybe_render() ){
			return;
		}

		woocommerce_template_loop_rating();
	}

}
