<?php
namespace ReyCore\WooCommerce\PdpComponents;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class AfterAtcText extends Component {

	public function init(){
		add_action( 'woocommerce_after_add_to_cart_button', [ $this, 'render' ], 11);
	}

	public function get_id(){
		return 'after_add_to_cart';
	}

	public function get_name(){
		return 'Text after Add to Cart';
	}

	public function render(){

		if( ! $this->maybe_render() ){
			return;
		}

		$en = reycore__get_option( 'enable_text_after_add_to_cart', false );

		if( $en === false || $en === 'false' ){
			return;
		}

		$content = reycore__get_option( 'text_after_add_to_cart', false, ($en !== 'custom') );

		printf('<div class="rey-cartBtn-afterText">%s</div>', reycore__parse_text_editor( $content ) );
	}
}
